<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.backendsys.mapper.Ai.Aiivh.AiivhTimbreEmotionalCategoryMapper">

    <sql id="includeAiivhTimbreEmotionalCategory">
        id,
        emotional_key,
        emotional_name
    </sql>
    <resultMap id="resultMapAiivhTimbreEmotionalCategory" type="java.util.LinkedHashMap">
        <id property="id" column="id" jdbcType="BIGINT" />
        <result property="emotional_key" column="emotional_key" />
        <result property="emotional_name" column="emotional_name" />
    </resultMap>
    <select id="queryAiivhTimbreEmotionalCategory" resultMap="resultMapAiivhTimbreEmotionalCategory">
        SELECT <include refid="includeAiivhTimbreEmotionalCategory" />
        FROM ai_ivh_timbre_emotional_category
    </select>

</mapper>